tinyMCEPopup.requireLangPack();

var action, orgTableWidth, orgTableHeight, dom = tinyMCEPopup.editor.dom;

function insertTable() {
	var formObj = document.forms[0];
	var inst = tinyMCEPopup.editor, dom = inst.dom;
	var cols = 2, rows = 2, border = 0, cellpadding = 0, cellspacing = 0, align, width, height, className, caption, frame, rules;
	var email="", formname="", whensuccess="", whenerror="";
	var html = '', capEl, elm;
	var cellLimit, rowLimit, colLimit;

	tinyMCEPopup.restoreSelection();

	elm = dom.getParent(inst.selection.getNode(), 'table');

	// Get form data
	cols = formObj.elements['cols'].value;
	rows = formObj.elements['rows'].value;
	border = formObj.elements['border'].value != "" ? formObj.elements['border'].value  : 0;
	cellpadding = formObj.elements['cellpadding'].value != "" ? formObj.elements['cellpadding'].value : "0";
	cellspacing = formObj.elements['cellspacing'].value != "" ? formObj.elements['cellspacing'].value : "0";
	align = getSelectValue(formObj, "align");
	frame = getSelectValue(formObj, "tframe");
	rules = getSelectValue(formObj, "rules");
	width = formObj.elements['width'].value;
	height = formObj.elements['height'].value;
	bordercolor = formObj.elements['bordercolor'].value;
	bgcolor = formObj.elements['bgcolor'].value;
	className = getSelectValue(formObj, "class");
	id = formObj.elements['id'].value;
	summary = formObj.elements['summary'].value;
	style = formObj.elements['style'].value;
	dir = formObj.elements['dir'].value;
	lang = formObj.elements['lang'].value;
	background = formObj.elements['backgroundimage'].value;
	caption = formObj.elements['caption'].checked;
	email = formObj.elements['email'].value;
	formname = formObj.elements['formname'].value;
	formsessionsave = formObj.elements['sessionsave'].checked? 'yes': 'no';
	whensuccess = formObj.elements['whensuccess'].value;
	whenerror = formObj.elements['whenerror'].value;
	processpage = formObj.elements['processpage'].value;
	processtype =  formObj.elements['processtype'].checked? 'yes': 'no';
	formlang = formObj.elements['formlang'].options[formObj.elements['formlang'].selectedIndex].value;

	cellLimit = tinyMCEPopup.getParam('table_cell_limit', false);
	rowLimit = tinyMCEPopup.getParam('table_row_limit', false);
	colLimit = tinyMCEPopup.getParam('table_col_limit', false);

	// Validate table size
	if (colLimit && cols > colLimit) {
		tinyMCEPopup.alert(inst.getLang('formtable_dlg.form_col_limit').replace(/\{\$cols\}/g, colLimit));
		return false;
	} else if (rowLimit && rows > rowLimit) {
		tinyMCEPopup.alert(inst.getLang('formtable_dlg.form_row_limit').replace(/\{\$rows\}/g, rowLimit));
		return false;
	} else if (cellLimit && cols * rows > cellLimit) {
		tinyMCEPopup.alert(inst.getLang('formtable_dlg.form_cell_limit').replace(/\{\$cells\}/g, cellLimit));
		return false;
	}

	// Update table
	if (action == "update") {
		inst.execCommand('mceBeginUndoLevel');

		dom.setAttrib(elm, 'cellPadding', cellpadding, true);
		dom.setAttrib(elm, 'cellSpacing', cellspacing, true);
		dom.setAttrib(elm, 'border', border);
		dom.setAttrib(elm, 'align', align);
		dom.setAttrib(elm, 'frame', frame);
		dom.setAttrib(elm, 'rules', rules);
		dom.setAttrib(elm, 'class', className);
		dom.setAttrib(elm, 'style', style);
		dom.setAttrib(elm, 'id', id);
		dom.setAttrib(elm, 'summary', summary);
		dom.setAttrib(elm, 'dir', dir);
		dom.setAttrib(elm, 'lang', lang);

		capEl = inst.dom.select('caption', elm)[0];

		if (capEl && !caption)
			capEl.parentNode.removeChild(capEl);

		if (!capEl && caption) {
			capEl = elm.ownerDocument.createElement('caption');

			if (!tinymce.isIE)
				capEl.innerHTML = '<br mce_bogus="1"/>';

			elm.insertBefore(capEl, elm.firstChild);
		}

		if (width && inst.settings.inline_styles) {
			dom.setStyle(elm, 'width', width);
			dom.setAttrib(elm, 'width', '');
		} else {
			dom.setAttrib(elm, 'width', width, true);
			dom.setStyle(elm, 'width', '');
		}

		// Remove these since they are not valid XHTML
		dom.setAttrib(elm, 'borderColor', '');
		dom.setAttrib(elm, 'bgColor', '');
		dom.setAttrib(elm, 'background', '');

		if (height && inst.settings.inline_styles) {
			dom.setStyle(elm, 'height', height);
			dom.setAttrib(elm, 'height', '');
		} else {
			dom.setAttrib(elm, 'height', height, true);
			dom.setStyle(elm, 'height', '');
 		}

		if (background != '')
			elm.style.backgroundImage = "url('" + background + "')";
		else
			elm.style.backgroundImage = '';

/*		if (tinyMCEPopup.getParam("inline_styles")) {
			if (width != '')
				elm.style.width = getCSSSize(width);
		}*/

		if (bordercolor != "") {
			elm.style.borderColor = bordercolor;
			elm.style.borderStyle = elm.style.borderStyle == "" ? "solid" : elm.style.borderStyle;
			elm.style.borderWidth = border == "" ? "1px" : border;
		} else
			elm.style.borderColor = '';

		elm.style.backgroundColor = bgcolor;
		elm.style.height = getCSSSize(height);

		inst.addVisual();

		// Fix for stange MSIE align bug
		//elm.outerHTML = elm.outerHTML;

		inst.nodeChanged();
		inst.execCommand('mceEndUndoLevel');

		// Repaint if dimensions changed
		if (formObj.width.value != orgTableWidth || formObj.height.value != orgTableHeight)
			inst.execCommand('mceRepaint');

		tinyMCEPopup.close();
		return true;
	}

	// Create new table
	html += '<table border="0" cellpadding="0" cellspacing="0"><tr><td>'
	html += '<form method="post" action="{DynPG::rootToTool}formulars_check.php" name="' + formname + '">';
	html += '<table';

	html += makeAttrib('id', id);
	html += makeAttrib('border', border);
	html += makeAttrib('cellpadding', cellpadding);
	html += makeAttrib('cellspacing', cellspacing);

	if (width && inst.settings.inline_styles) {
		if (style)
			style += '; ';

		// Force px
		if (/^[0-9\.]+$/.test(width))
			width += 'px';

		style += 'width: ' + width;
	} else
		html += makeAttrib('width', width);

/*	if (height) {
		if (style)
			style += '; ';

		style += 'height: ' + height;
	}*/

	//html += makeAttrib('height', height);
	//html += makeAttrib('bordercolor', bordercolor);
	//html += makeAttrib('bgcolor', bgcolor);
	html += makeAttrib('align', align);
	html += makeAttrib('frame', frame);
	html += makeAttrib('rules', rules);
	html += makeAttrib('class', className);
	html += makeAttrib('style', style);
	html += makeAttrib('summary', summary);
	html += makeAttrib('dir', dir);
	html += makeAttrib('lang', lang);
	html += '>';

	if (caption) {
		if (!tinymce.isIE)
			html += '<caption><br mce_bogus="1"/></caption>';
		else
			html += '<caption></caption>';
	}

	html += '<tr><td align="left" valign="top" colspan="' + cols + '"><img src=\"js/tiny_mce/plugins/formular/img/formular_top.jpg\" alt=\"zonetop\" /></td></tr>';

	for (var y=0; y<rows; y++) {
		html += "<tr>";

		for (var x=0; x<cols; x++) {
			if (!tinymce.isIE)
				html += '<td><br mce_bogus="1"/></td>';
			else
				html += '<td></td>';
		}

		html += "</tr>";
	}

	html += '<tr><td align="left" valign="top" colspan="' + cols + '">';
	html += '<img src=\"js/tiny_mce/plugins/formular/img/formular_bottom.jpg\" alt=\"zonebottom 1='+email+' 2='+formname+' 3='+whensuccess+' 4='+whenerror+' 5='+formsessionsave+' 6=' + processpage + ' 7=' + processtype + ' 8=' + formlang + '\" /></td></tr>';

	html += "</table></form>";
	html += "</td></tr></table><br />";

	inst.execCommand('mceBeginUndoLevel');
	inst.execCommand('mceInsertContent', false, html);
	inst.addVisual();
	inst.execCommand('mceEndUndoLevel');

	tinyMCEPopup.close();
}

function makeAttrib(attrib, value) {
	var formObj = document.forms[0];
	var valueElm = formObj.elements[attrib];

	if (typeof(value) == "undefined" || value == null) {
		value = "";

		if (valueElm)
			value = valueElm.value;
	}

	if (value == "")
		return "";

	// XML encode it
	value = value.replace(/&/g, '&amp;');
	value = value.replace(/\"/g, '&quot;');
	value = value.replace(/</g, '&lt;');
	value = value.replace(/>/g, '&gt;');

	return ' ' + attrib + '="' + value + '"';
}

function init() {
	tinyMCEPopup.resizeToInnerSize();

	var cols = 2, rows = 2, border = tinyMCEPopup.getParam('table_default_border', '0'), cellpadding = tinyMCEPopup.getParam('table_default_cellpadding', '0'), cellspacing = tinyMCEPopup.getParam('table_default_cellspacing', '0');
	var align = "", width = "", height = "", bordercolor = "", bgcolor = "", className = "";
	var id = "", summary = "", style = "", dir = "", lang = "", background = "", bgcolor = "", bordercolor = "", rules, frame;
	var inst = tinyMCEPopup.editor, dom = inst.dom;
	var formObj = document.forms[0];
	var elm = dom.getParent(inst.selection.getNode(), "table");

	action = "insert";

	if (elm && action != "insert") {
		var rowsAr = elm.rows;
		var cols = 0;
		for (var i=0; i<rowsAr.length; i++)
			if (rowsAr[i].cells.length > cols)
				cols = rowsAr[i].cells.length;

		cols = cols;
		rows = rowsAr.length;

		st = dom.parseStyle(dom.getAttrib(elm, "style"));
		border = trimSize(getStyle(elm, 'border', 'borderWidth'));
		cellpadding = dom.getAttrib(elm, 'cellpadding', "0");
		cellspacing = dom.getAttrib(elm, 'cellspacing', "0");
		width = trimSize(getStyle(elm, 'width', 'width'));
		height = trimSize(getStyle(elm, 'height', 'height'));
		bordercolor = convertRGBToHex(getStyle(elm, 'bordercolor', 'borderLeftColor'));
		bgcolor = convertRGBToHex(getStyle(elm, 'bgcolor', 'backgroundColor'));
		align = dom.getAttrib(elm, 'align', align);
		frame = dom.getAttrib(elm, 'frame');
		rules = dom.getAttrib(elm, 'rules');
		className = tinymce.trim(dom.getAttrib(elm, 'class').replace(/mceItem.+/g, ''));
		id = dom.getAttrib(elm, 'id');
		summary = dom.getAttrib(elm, 'summary');
		style = dom.serializeStyle(st);
		dir = dom.getAttrib(elm, 'dir');
		lang = dom.getAttrib(elm, 'lang');
		background = getStyle(elm, 'background', 'backgroundImage').replace(new RegExp("url\\('?([^']*)'?\\)", 'gi'), "$1");
		formObj.caption.checked = elm.getElementsByTagName('caption').length > 0;

		orgTableWidth = width;
		orgTableHeight = height;

		action = "update";
		formObj.insert.value = inst.getLang('update');
	}

	addClassesToList('class', "table_styles");
	//TinyMCE_EditableSelects.init();

	// Update form
	selectByValue(formObj, 'align', align);
	selectByValue(formObj, 'tframe', frame);
	selectByValue(formObj, 'rules', rules);
	selectByValue(formObj, 'class', className, true, true);
	formObj.cols.value = cols;
	formObj.rows.value = rows;
	formObj.border.value = border;
	formObj.cellpadding.value = cellpadding;
	formObj.cellspacing.value = cellspacing;
	formObj.width.value = width;
	formObj.height.value = height;
	formObj.bordercolor.value = bordercolor;
	formObj.bgcolor.value = bgcolor;
	formObj.id.value = id;
	formObj.summary.value = summary;
	formObj.style.value = style;
	formObj.dir.value = dir;
	formObj.lang.value = lang;
	formObj.backgroundimage.value = background;

	if(document.getElementById('bordercolor_pick')){
		updateColor('bordercolor_pick', 'bordercolor');
	}
	if(document.getElementById('bgcolor_pick')){
		updateColor('bgcolor_pick', 'bgcolor');
	}

	// Resize some elements
	if (isVisible('backgroundimagebrowser'))
		document.getElementById('backgroundimage').style.width = '180px';

	// Disable some fields in update mode
	if (action == "update") {
		formObj.cols.disabled = true;
		formObj.rows.disabled = true;
	}
	
	getInfos();
}

function changedSize() {
	var formObj = document.forms[0];
	var st = dom.parseStyle(formObj.style.value);

/*	var width = formObj.width.value;
	if (width != "")
		st['width'] = tinyMCEPopup.getParam("inline_styles") ? getCSSSize(width) : "";
	else
		st['width'] = "";*/

	var height = formObj.height.value;
	if (height != "")
		st['height'] = getCSSSize(height);
	else
		st['height'] = "";

	formObj.style.value = dom.serializeStyle(st);
}

function changedBackgroundImage() {
	var formObj = document.forms[0];
	var st = dom.parseStyle(formObj.style.value);

	st['background-image'] = "url('" + formObj.backgroundimage.value + "')";

	formObj.style.value = dom.serializeStyle(st);
}

function changedBorder() {
	var formObj = document.forms[0];
	var st = dom.parseStyle(formObj.style.value);

	// Update border width if the element has a color
	if (formObj.border.value != "" && formObj.bordercolor.value != "")
		st['border-width'] = formObj.border.value + "px";

	formObj.style.value = dom.serializeStyle(st);
}

function changedColor() {
	var formObj = document.forms[0];
	var st = dom.parseStyle(formObj.style.value);

	st['background-color'] = formObj.bgcolor.value;

	if (formObj.bordercolor.value != "") {
		st['border-color'] = formObj.bordercolor.value;

		// Add border-width if it's missing
		if (!st['border-width'])
			st['border-width'] = formObj.border.value == "" ? "1px" : formObj.border.value + "px";
	}

	formObj.style.value = dom.serializeStyle(st);
}

function changedStyle() {
	var formObj = document.forms[0];
	var st = dom.parseStyle(formObj.style.value);

	if (st['background-image'])
		formObj.backgroundimage.value = st['background-image'].replace(new RegExp("url\\('?([^']*)'?\\)", 'gi'), "$1");
	else
		formObj.backgroundimage.value = '';

	if (st['width'])
		formObj.width.value = trimSize(st['width']);

	if (st['height'])
		formObj.height.value = trimSize(st['height']);

	if (st['background-color']) {
		formObj.bgcolor.value = st['background-color'];
		updateColor('bgcolor_pick','bgcolor');
	}

	if (st['border-color']) {
		formObj.bordercolor.value = st['border-color'];
		updateColor('bordercolor_pick','bordercolor');
	}
}

function getInfos()
{
	/*
     * @bugfix: IE 8 fix for inline popups:
     * @description: Refreshes focus on current selection, otherwise this
     *  focus will get lost after loading popup.
     * @author: Daniel, 2010-08-10
    */
	tinyMCEPopup.restoreSelection();
	/* end @bugfix */

    var inst = tinyMCEPopup.editor;
    var dom = inst.dom;
	var elm = inst.selection.getNode();
	elm = dom.getParent(elm, 'img');

	if (elm != null && elm.nodeName == "IMG" && dom.getAttrib(elm, 'alt') != 'zonetop'){
		action = "update";
	} else {
		var elma = inst.selection.getNode();
		elma = dom.getParent(elma, 'form');
		if (elma != null && elma.nodeName == "FORM"){
			tinyMCEPopup.alert(inst.getLang('formtable_dlg.form_within_form_error'));
			document.getElementById("insert").disabled = true;
			window.close();
		}
		action = "insert";
	}

	if (action == "update") {
		var altText = dom.getAttrib(elm, 'alt');

		var apos = altText.indexOf("1=");
		var bpos = altText.indexOf("2=");
		var cpos = altText.indexOf("3=");
		var dpos = altText.indexOf("4=");
		var epos = altText.indexOf("5=");
		var fpos = altText.indexOf("6=");
		var gpos = altText.indexOf("7=");
		var hpos = altText.indexOf("8=");

		var formmail = altText.substring(apos+2, bpos-1);
		var formname = altText.substring(bpos+2, cpos-1);
		var formsucc = altText.substring(cpos+2, dpos-1);
		var formerr  = (epos == -1)? altText.substring(dpos+2): altText.substring(dpos+2, epos-1);
		var formsessiosave = (epos != -1)? altText.substring(epos+2, fpos-1): 'no';
		var processpage = (fpos != -1)? altText.substring(fpos+2, gpos-1): '';
		var processtype = (gpos != -1)? altText.substring(gpos+2): 'no';
		var formlang = (hpos != -1)? altText.substring(hpos+2): 'de';

		document.forms[0].formname.value = formname;
		document.forms[0].email.value = formmail;
		document.forms[0].update.value = 'edited';
		document.forms[0].sessionsave.checked = (formsessiosave == 'yes');
		document.forms[0].processpage.value = processpage;
		document.forms[0].processtype.checked = (processtype == 'yes');

		for (var i = 0; i < document.forms[0].whensuccess.length; i++){
			var article = document.forms[0].whensuccess[i].value;
			if (article == formsucc){
				document.forms[0].whensuccess.selectedIndex = i;
			}
		}
		for (var i = 0; i < document.forms[0].whenerror.length; i++){
			var article = document.forms[0].whenerror[i].value;
			if (article == formerr){
				document.forms[0].whenerror.selectedIndex = i;
			}
		}
		for (var i = 0; i < document.forms[0].formlang.length; i++){
			var lang = document.forms[0].formlang[i].value;
			if (lang == formlang){
				document.forms[0].formlang.selectedIndex = i;
			}
		}
	}

	if (action == "update") {
        document.forms[0].insert.value = tinyMCEPopup.editor.getLang('update');
    }
}

function forbiddenchar(fch)
{
    var result = fch.value.search(/[^a-zA-Z0-9_]/);
    if ( result != -1 ) {
        var repl = fch.value.replace(/[^a-zA-Z0-9_]/g, '');
        fch.value = repl;
        tinyMCEPopup.alert(tinyMCEPopup.editor.getLang('formtable_dlg.form_forbidden_char_error'));
    }
}

function updateForminfos()
{
	var inst = tinyMCEPopup.editor, dom = inst.dom;
	var elm = inst.selection.getNode();
	elm = dom.getParent(elm, "form");

	if (elm != null && elm.nodeName == "FORM"){
		dom.setAttrib(elm, "name", document.forms[0].formname.value);
	}

	 var inputstr = '<img src=\"js/tiny_mce/plugins/formular/img/formular_bottom.jpg\" alt=\"zonebottom 1='
	 + document.forms[0].email.value+' 2='+document.forms[0].formname.value+' 3='
	 + document.forms[0].whensuccess.value+' 4='
	 + document.forms[0].whenerror.value+' 5='
	 + (document.forms[0].sessionsave.checked? 'yes': 'no') + ' 6='
	 + document.forms[0].processpage.value + ' 7='
	 + (document.forms[0].processtype.checked? 'yes': 'no') + ' 8='
	 + document.forms[0].formlang.value
	 + '\" />';

	 inst.execCommand('mceInsertContent', false, inputstr);
     // Close the dialog
     tinyMCEPopup.close();
}

tinyMCEPopup.onInit.add(init);
