<?php
    /**
    * This file performs sets a specific language for DynPG frontend,
    * by default "de".
    *
    * This file includes language data for language "fran&ccedil;ais" alias "fr"
    *
    *
    *
    * @package DynPG PlugIn Engine (Languages)
    * @author Daniel Schliebner
    * @return language data as assocciative array
    */

    // callback_Language_de_general: -> array
    // Sets language data for language "fran&ccedil;ais"
    function callback_Language_fr_general() {

        // instanciate language array
        $_LANG_ = Array();

        // define "new line" placeholder variable
        $N = "\r\n";


        // This definition is more a template but to small for an extra template
        // file so we define it here. In addition to that, this element is parsed
        // with the template processor too.
        $_LANG_['navigation_root_separate_str']          = '&nbsp;<strong>>></strong>&nbsp;';
        $_LANG_['navigation_root_firstelement']          = '<span class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</span>';
        $_LANG_['navigation_root_singleelement']         = '<span class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</span>';
        $_LANG_['navigation_root_itemelement']           = '<span class="breadcrumb_at_{$LIST_INDEX}">{$SEPERATE}{$TITLE}</span>';

		// Texts from navigation-pages.tpl
		$_LANG_['navigation_pages_back']          = 'retour';
		$_LANG_['navigation_pages_next']          = 'continuer';

        // date format for dates in the group list
        $_LANG_['general_groups_date_format']            = 'd.m.Y';


        // date format for dates in the article list
        $_LANG_['general_articles_create_date_format']   = 'd.m.Y';
        $_LANG_['general_articles_fix_date_format']      = 'd.m.Y';
        $_LANG_['general_articles_from_date_format']     = 'd.m.Y';
        $_LANG_['general_articles_till_date_format']     = 'd.m.Y';
        $_LANG_['general_articles_change_date_format']   = 'd.m.Y';

        // string for empty search query in article list
        $_LANG_['general_articles_no_search_query']      = '-';

        // Texts from articles.tpl
        $_LANG_['general_articles_language']            = 'fran&ccedil;ais';
        $_LANG_['general_articles_read_more']           = 'lire plus';
        $_LANG_['general_articles_more']                = 'plus';
        $_LANG_['general_articles_edit']                = 'traiter';
        $_LANG_['general_articles_editing']             = '&eacute;diter';
        $_LANG_['general_articles_edit_within_dynpg']   = '&Eacute;diter cet article en DynPG';
        $_LANG_['general_articles_no_matching_results'] = 'Malheureusement, il &eacute;tait impossible d\'obtenir des r&eacute;sultats au sujet de &bdquo;%SEARCH_QUERY%&rdquo;. <br /> Veuillez essayer &agrave; nouveau avec un autre terme de recherche.';
        $_LANG_['general_articles_no_matching_results_for_timespan'] = 'Malheureusement, il &eacute;tait impossible de trouver des articles dans cette p&eacute;riode de temps.';


        // date format for dates at detail page
        $_LANG_['general_detail_create_date_format']     = 'd.m.Y';
        $_LANG_['general_detail_fix_date_format']        = 'd.m.Y';
        $_LANG_['general_detail_from_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_till_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_change_date_format']     = 'd.m.Y';

        // Texts from detail.tpl
        $_LANG_['general_detail_pdf']          		  = 'pdf';
        $_LANG_['general_detail_pdf_page']      	  = 'article pdf';
        $_LANG_['general_detail_recommend']           = 'recommander';
        $_LANG_['general_detail_recommend_page']      = 'recommander la page';
        $_LANG_['general_detail_link']                = 'lien';
        $_LANG_['general_detail_link_page']           = 'Lien vers la page';
        $_LANG_['general_detail_print']               = 'imprimer';
        $_LANG_['general_detail_print_page']          = 'imprimer l\'article';
        $_LANG_['general_detail_facebook']            = 'partager';
        $_LANG_['general_detail_facebook_page']       = 'partager l\'article';
        $_LANG_['general_detail_twitter']             = 'tweeter';
        $_LANG_['general_detail_twitter_page']        = 'tweeter l\'article';
        $_LANG_['general_detail_read_more']           = 'lire plus';
        $_LANG_['general_detail_more']                = 'plus';
        $_LANG_['general_detail_edit']                = 'traiter';
        $_LANG_['general_detail_editing']             = '&eacute;diter';
        $_LANG_['general_detail_edit_within_dynpg']   = '&eacute;diter cet article en DynPG';


        // date format for dates at home site
        $_LANG_['general_home_create_date_format']       = 'd.m.Y';
        $_LANG_['general_home_fix_date_format']          = 'd.m.Y';
        $_LANG_['general_home_from_date_format']         = 'd.m.Y';
        $_LANG_['general_home_till_date_format']         = 'd.m.Y';

        // Texts from home.tpl
        $_LANG_['general_home_read_more']           = 'lire plus';
        $_LANG_['general_home_more']                = 'plus';

        // Texts from search-form.tpl
        $_LANG_['general_search_button']           = 'rechercher';


        // form processing
        $_LANG_['forms_errors_number_00']                = '';
        $_LANG_['forms_errors_number_01']                = 'Erreur: vous ne pouvez envoyer ce formulaire qu\'une fois!';
        $_LANG_['forms_errors_number_02']                = 'Erreur: erreur interne n&deg; 2!';
        $_LANG_['forms_errors_number_03']                = 'Erreur: r&eacute;f&eacute;rence erron&eacute;e!';
        $_LANG_['forms_errors_number_04']                = 'Erreur: la p&eacute;riode de temps valable pour le formulaire est &eacute;coul&eacute;e!';
        $_LANG_['forms_errors_number_05']                = 'Erreur: veuillez remplir tous les champs n&eacute;cessaires!';
        $_LANG_['forms_errors_number_06']                = 'Erreur: veuillez saisir une adresse de courriel valable!';
        $_LANG_['forms_errors_number_07']                = 'Erreur: veuillez saisir une URL valable!';
        $_LANG_['forms_errors_number_08']                = 'Erreur: le code de validation &eacute;tait incorrect!';
        $_LANG_['forms_errors_number_09']                = 'Erreur: des indications d\'en-t&ecirc;te ne sont pas admissibles!';
        $_LANG_['forms_success']                         = 'OK: Votre donn&eacute;es a &eacute;t&eacute; envoy&eacute;!';


        // frontend edit mode
        $_LANG_['em_save']                  = 'Enregistrer';
        $_LANG_['em_edit']                  = '&Eacute;diter';
        $_LANG_['em_live']                  = 'Live';
        $_LANG_['em_abort']                 = 'Abandonner';
        $_LANG_['em_login']                 = 'Login';
        $_LANG_['em_logout']                = 'Logout';
        $_LANG_['em_open']                  = 'D&eacute;b&acirc;cler';
        $_LANG_['em_close']                 = 'Fermer';
        $_LANG_['em_create']                = 'Créer';
        $_LANG_['em_assign']                = 'Assigner';
        $_LANG_['em_refresh']               = 'Enregistrer &amp; Actualiser';

        // template em-layer.tpl
        $_LANG_['em_layer_new_entry']               = 'Nouvelle entr&eacute;e';
        $_LANG_['em_layer_edit_entry']              = 'Modifier entr&eacute;e';
        $_LANG_['em_layer_group_name']              = 'Nom d\'&eacute;l&eacute;ment de menu';
        $_LANG_['em_layer_shorttext']               = 'Texte bref';
        $_LANG_['em_layer_refid']                   = 'Contenu du groupe';
        $_LANG_['em_layer_refid_is_start']          = 'est start-article';
        $_LANG_['em_layer_refid_choose']            = 'veuillez s&eacute;lectionner...';
        $_LANG_['em_layer_refid_aid']               = 'ID d\'article';
        $_LANG_['em_layer_refid_is_init']           = 'D&eacute;marrer les produits du Groupe';
        $_LANG_['em_layer_limit_from']              = 'Active &agrave; partir';
        $_LANG_['em_layer_limit_to']                = 'Active jusqu\'en';
        $_LANG_['em_layer_public']                  = 'Publier';
        $_LANG_['em_layer_public_o1']               = 'Oui';
        $_LANG_['em_layer_public_o2']               = 'Non';
        $_LANG_['em_layer_public_o3']               = 'Oui, sans navigaton';
        $_LANG_['em_layer_public_o4']               = 'Oui, sans sub-navigaton';
        $_LANG_['em_layer_public_from_until']  		= 'Actif (à partir - jusqu\'à ce que)';
        $_LANG_['em_layer_index']                   = 'Indexe de triage';
        $_LANG_['em_layer_article_name']    		= 'Titre';
        $_LANG_['em_layer_article_lead']    		= 'Plu En-tête';
        $_LANG_['em_layer_article_text']    		= 'Contenu';
        $_LANG_['em_layer_article_searchkeys'] 		= 'Indices de recherche';
        $_LANG_['em_layer_article_options'] 		= 'Options';
        $_LANG_['em_layer_article_show_in_lists'] 	= 'Ne pas afficher les éléments dans les listes';
        $_LANG_['em_layer_article_show_in_menu'] 	= 'Ne pas afficher dans le menu';
        $_LANG_['em_layer_article_create_question']	= 'Dans quel groupe vous voulez créer un nouvel article?';
        $_LANG_['em_layer_article_create']	        = 'Ajouter un article à la liste d\'article ...';
        $_LANG_['em_layer_meta_title']              = 'Meta Title';
        $_LANG_['em_layer_meta_keywords']           = 'Meta Keywords';
        $_LANG_['em_layer_meta_description']        = 'Meta Description';

        // template menu-text.tpl
        $_LANG_['em_menu_txt_rename']       = 'Rebaptiser';
        $_LANG_['em_menu_txt_edit']         = '&Eacute;diter';
        $_LANG_['em_menu_txt_new_subgroup'] = 'Nouvelle &eacute;l&eacute;ment dans le sous-menu';
        $_LANG_['em_menu_txt_new_group']    = 'Nouvelle &eacute;l&eacute;ment';
        $_LANG_['em_menu_txt_add_article']  = 'Rajouter l\'article';
        $_LANG_['em_menu_txt_edit_article'] = 'Modifier liste des articles';
        $_LANG_['em_menu_txt_close']        = 'Fermer';
        $_LANG_['em_menu_txt_delete']       = 'Débarder';

        // template login.tpl
        $_LANG_['em_login_name']            = 'Nom:';
        $_LANG_['em_login_password']        = 'Mot de passe:';
        $_LANG_['em_login_error_1']         = '&Eacute;chec de login! S\'il vous pla&igrave;t essayez de nouveau.';
        $_LANG_['em_login_error_2']         = '&Eacute;chec de login! Vous &ecirc;tes connect&eacute; trop souvent mal et ne sont donc verrouill&eacute;s bri&egrave;vement.';

        // template edit_mode.js
        $_LANG_['em_js_error_no_group_name']    = 'S\'il vous pla&igrave;t entrez un nom pour l\'&eacute;l&eacute;ment de menu.';
        $_LANG_['em_js_error_no_article_name']  = 'S\'il vous plaît entrez un nom pour l\'article.';
        $_LANG_['em_js_error']                  = 'Il y avait une erreur: ';
        $_LANG_['em_js_error_no_rights']        = 'Autorisation refusée. Vous n\'avez pas les droits nécessaires.';
        $_LANG_['em_js_error_rights_missing']   = 'Pas tous les changements ont été enregistrés. Vous avez commis des changements pour lesquels vous n\'avez pas les droits nécessaires.';
        $_LANG_['em_js_success']                = 'Mener le processus &agrave; bien. ';
        $_LANG_['em_js_delete_element_ask']     = 'Voulez-vous vraiment supprimer ce élément?';
        $_LANG_['em_js_delete_group_ask']       = 'Voulez-vous vraiment supprimer ce groupe?';
        $_LANG_['em_js_delete_refid_ask']       = 'Le groupe a été supprimé avec succès. Ne vous souhaitez supprimer le contenu du groupe aussi?';
        $_LANG_['em_js_close_tinymce_instance'] = 'Fermer ce champ de texte';
        $_LANG_['em_js_open_tinymce_instance']  = 'Ouvrez le champ de texte pour modifier ce contenu.';

        return $_LANG_;
    }
?>